{**********************************************************************
* Provisioning Module for NodePing. Custom developed.
* *
*
* CREATED BY MODULESGARDEN -> http://modulesgarden.com
* CONTACT -> contact@modulesgarden.com
*
*
*
*
* This software is furnished under a license and may be used and copied
* only in accordance with the terms of such license and with the
* inclusion of the above copyright notice. This software or any other
* copies thereof may not be provided or otherwise made available to any
* other person. No title to and ownership of the software is hereby
* transferred.
*
*
**********************************************************************}

<div class="module-header">
    <i class="icon-header icon-emailsforwarders"></i>
    <h1>{$lang.group.title}</h1>
    <p>{$lang.group.description}</p>
</div>
<div class="module-body">
    <div class="section">


        {if $POST.todo == 'new'} 
            <h4>{$lang.group.add}</h4>
        {/if}

        {if $POST.todo == 'edit'} 
            <h4>{$lang.group.edit}</h4>
        {/if}

        {if $POST.todo == 'save'} 
            <h4>{$lang.group.save}</h4>
        {/if}

        <div class="well">

            <form class="form-horizontal" action="{$link}&page=group&todo=save&groupid={$POST.groupID}" method="post">

                <div class="form-group">
                    <label class="col-sm-3 control-label">{$lang.group.name}</label>
                    <div class="input col-sm-6">
                        <input type="text" class="form-control first" name="groupName" value="{$POST.groupName}">
                        <p class="help-block">{$lang.group.namedesc}</p>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-3 control-label">{$lang.group.addmember}</label>
                    <div class=" col-sm-6">
                        <select name="" class="form-control" id="member-list">
                            <option value="">{$lang.group.addmemberoption}</option>
                            {foreach from=$POST.contactList key=val item=member}
                                <option value="{$val}">{$member.name} - {$member.type} - {$member.address}</option>
                            {/foreach}
                        </select>
                        <p class="help-block">{$lang.group.addmemberdesc}</p>
                    </div>
                </div>

                <div class="form-group">
                    <label class=" control-label col-sm-3">{$lang.group.members}</label>
                    <div class=" col-sm-9">
                        <div id="group-fields">
                            {foreach from=$POST.groupMembers item=member}
                                <div class="row">
                                    <div class="input col-sm-8">
                                        <p class="help-block">{$member.text}</p>
                                        <input class="member-id" type="hidden" name="memberId" value="{$member.id}">
                                        <input class="member-name" type="hidden" name="memberName" value="{$member.text}">
                                    </div>
                                    <div class=" col-sm-3 help-block">
                                        <a href="javascript:void(0)" class="group-remove">{$lang.group.remove}</a>
                                    </div> 
                                </div>
                            {/foreach}
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class=" col-sm-3"></div>
                    <div class="col-sm-9">
                        {if $smarty.get.groupid}   
                            <button type="submit" class="btn btn-success">{$lang.group.save}</button>
                        {else}
                            <button type="submit" class="btn btn-success">{$lang.group.add}</button>
                        {/if} 
                    </div>
                </div>
            </form>

            <div style="display: none" id="group-empty">
                <div class="row">
                    <div class="input col-sm-8">
                        <p class="help-block"></p>
                        <input class="member-id" type="hidden" name="memberId">
                        <input class="member-name" type="hidden" name="memberName">
                    </div>
                    <div class=" col-sm-3 help-block">
                        <a href="javascript:void(0)" class="group-remove">{$lang.group.remove}</a>
                    </div> 
                </div>
            </div>

        </div>      
    </div>
</div>